<?php

namespace Intergo\MessageClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class MessageApiHandler extends ApiHandler
{
    protected static $endpoints = [
        'updateUserSettingsV2' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user/:user_id/settings/update', self::INTERNAL => true],
        'updateViberSettings' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user/:user_id/settings/viber/update', self::INTERNAL => true],
        'invalidateUserLists' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user/:user_id/lists/invalidate', self::INTERNAL => true],
        'getUserSettings' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/user/:user_id/settings', self::INTERNAL => true],
    ];
}
